Package net.snowflake.client.jdbc

## Class DefaultResultStreamProvider

- java.lang.Object
- - net.snowflake.client.jdbc.DefaultResultStreamProvider

All Implemented Interfaces:
  `ResultStreamProvider`

    public class DefaultResultStreamProvider
    extends Object
    implements ResultStreamProvider

### Constructor Summary

Constructors
`DefaultResultStreamProvider()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InputStream` `detectGzipAndGetStream​(InputStream is)`
`InputStream` `getInputStream​(ChunkDownloadContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultResultStreamProvider

    public DefaultResultStreamProvider()

### Method Detail

#### getInputStream

    public InputStream getInputStream​(ChunkDownloadContext context)
                               throws Exception

Specified by:
  `getInputStream` in interface `ResultStreamProvider`
Throws:
  `Exception`

#### detectGzipAndGetStream

    public static InputStream detectGzipAndGetStream​(InputStream is)
                                              throws IOException

Throws:
  `IOException`